org.jboss.resteasy.spi

## Class ResteasyDeployment

- java.lang.Object
- - org.jboss.resteasy.spi.ResteasyDeployment

-     public class ResteasyDeployment
      extends Object

  This class is used to configure and initialize the core components of RESTEasy.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Class>` | `actualProviderClasses`
    `protected List<Class>` | `actualResourceClasses`
    `protected Application` | `application`
    `protected String` | `applicationClass`
    `protected String` | `asyncJobServiceBasePath`
    `protected boolean` | `asyncJobServiceEnabled`
    `protected int` | `asyncJobServiceMaxJobResults`
    `protected long` | `asyncJobServiceMaxWait`
    `protected int` | `asyncJobServiceThreadPoolSize`
    `protected Map<String,String>` | `constructedDefaultContextObjects`
    `protected Map<Class,Object>` | `defaultContextObjects`
    `protected boolean` | `deploymentSensitiveFactoryEnabled`
    `protected Dispatcher` | `dispatcher`
    `protected String` | `injectorFactoryClass`
    `protected Map<String,String>` | `interceptorAfterPrecedences`
    `protected Map<String,String>` | `interceptorBeforePrecedences`
    `protected List<String>` | `interceptorPrecedences`
    `protected List<String>` | `jndiComponentResources`
    `protected List<String>` | `jndiResources`
    `protected Map<String,String>` | `languageExtensions`
    `protected Map<String,String>` | `mediaTypeMappings`
    `protected String` | `paramMapping`
    `protected List<String>` | `providerClasses`
    `protected ResteasyProviderFactory` | `providerFactory`
    `protected List<Object>` | `providers`
    `protected boolean` | `registerBuiltin`
    `protected Registry` | `registry`
    `protected List<String>` | `resourceClasses`
    `protected List<ResourceFactory>` | `resourceFactories`
    `protected List<Object>` | `resources`
    `protected List<String>` | `scannedJndiComponentResources`
    `protected List<String>` | `scannedProviderClasses`
    `protected List<String>` | `scannedResourceClasses`
    `protected boolean` | `securityEnabled`
    `protected ThreadLocalResteasyProviderFactory` | `threadLocalProviderFactory`
    `protected List<String>` | `unwrappedExceptions`
    `protected boolean` | `useContainerFormParams`
    `protected boolean` | `widerRequestMatching`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyDeployment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Application` | `createApplication(String applicationClass, Dispatcher dispatcher, ResteasyProviderFactory providerFactory)`
    `static Object` | `createFromInjectorFactory(String classname, ResteasyProviderFactory providerFactory)`
    `List<Class>` | `getActualProviderClasses()`
    `List<Class>` | `getActualResourceClasses()`
    `Application` | `getApplication()`
    `String` | `getApplicationClass()`
    `String` | `getAsyncJobServiceBasePath()`
    `int` | `getAsyncJobServiceMaxJobResults()`
    `long` | `getAsyncJobServiceMaxWait()`
    `int` | `getAsyncJobServiceThreadPoolSize()`
    `Map<String,String>` | `getConstructedDefaultContextObjects()`
    `Map<Class,Object>` | `getDefaultContextObjects()`
    `Dispatcher` | `getDispatcher()`
    `String` | `getInjectorFactoryClass()`
    `Map<String,String>` | `getInterceptorAfterPrecedences()`
    `Map<String,String>` | `getInterceptorBeforePrecedences()`
    `List<String>` | `getInterceptorPrecedences()`
    `List<String>` | `getJndiComponentResources()`
    `List<String>` | `getJndiResources()`
    `Map<String,String>` | `getLanguageExtensions()`
    `Map<String,String>` | `getMediaTypeMappings()`
    `List<String>` | `getProviderClasses()`
    `ResteasyProviderFactory` | `getProviderFactory()`
    `List<Object>` | `getProviders()`
    `Registry` | `getRegistry()`
    `List<String>` | `getResourceClasses()`
    `List<ResourceFactory>` | `getResourceFactories()`
    `List<Object>` | `getResources()`
    `List<String>` | `getScannedJndiComponentResources()`
    `List<String>` | `getScannedProviderClasses()`
    `List<String>` | `getScannedResourceClasses()`
    `List<String>` | `getUnwrappedExceptions()`
    `boolean` | `isAsyncJobServiceEnabled()`
    `boolean` | `isDeploymentSensitiveFactoryEnabled()`
    `boolean` | `isRegisterBuiltin()`
    `boolean` | `isSecurityEnabled()`
    `boolean` | `isUseContainerFormParams()`
    `boolean` | `isWiderRequestMatching()`
    `protected boolean` | `processApplication(Application config)`
    `protected void` | `registerJndiComponentResource(String resource)`
    `protected void` | `registerProvider(String clazz)`
    `void` | `registration()`
    `void` | `setActualProviderClasses(List<Class> actualProviderClasses)`
    `void` | `setActualResourceClasses(List<Class> actualResourceClasses)`
    `void` | `setApplication(Application application)`
    `void` | `setApplicationClass(String applicationClass)`
    `void` | `setAsyncJobServiceBasePath(String asyncJobServiceBasePath)`
    `void` | `setAsyncJobServiceEnabled(boolean asyncJobServiceEnabled)`
    `void` | `setAsyncJobServiceMaxJobResults(int asyncJobServiceMaxJobResults)`
    `void` | `setAsyncJobServiceMaxWait(long asyncJobServiceMaxWait)`
    `void` | `setAsyncJobServiceThreadPoolSize(int asyncJobServiceThreadPoolSize)`
    `void` | `setConstructedDefaultContextObjects(Map<String,String> constructedDefaultContextObjects)`
    `void` | `setDefaultContextObjects(Map<Class,Object> defaultContextObjects)`
    `void` | `setDeploymentSensitiveFactoryEnabled(boolean deploymentSensitiveFactoryEnabled)`
    `void` | `setDispatcher(Dispatcher dispatcher)`
    `void` | `setInjectorFactoryClass(String injectorFactoryClass)`
    `void` | `setInterceptorAfterPrecedences(Map<String,String> interceptorAfterPrecedences)`
    `void` | `setInterceptorBeforePrecedences(Map<String,String> interceptorBeforePrecedences)`
    `void` | `setInterceptorPrecedences(List<String> interceptorPrecedences)`
    `void` | `setJndiComponentResources(List<String> jndiComponentResources)`
    `void` | `setJndiResources(List<String> jndiResources)`
    `void` | `setLanguageExtensions(Map<String,String> languageExtensions)`
    `void` | `setMediaTypeMappings(Map<String,String> mediaTypeMappings)`
    `void` | `setMediaTypeParamMapping(String paramMapping)`
    `void` | `setProviderClasses(List<String> providerClasses)`
    `void` | `setProviderFactory(ResteasyProviderFactory providerFactory)`
    `void` | `setProviders(List<Object> providers)`
    `void` | `setRegisterBuiltin(boolean registerBuiltin)`
    `void` | `setRegistry(Registry registry)`
    `void` | `setResourceClasses(List<String> resourceClasses)`
    `void` | `setResourceFactories(List<ResourceFactory> resourceFactories)`
    `void` | `setResources(List<Object> resources)`
    `void` | `setScannedJndiComponentResources(List<String> scannedJndiComponentResources)`
    `void` | `setScannedProviderClasses(List<String> scannedProviderClasses)`
    `void` | `setScannedResourceClasses(List<String> scannedResourceClasses)`
    `void` | `setSecurityEnabled(boolean securityEnabled)`
    `void` | `setUnwrappedExceptions(List<String> unwrappedExceptions)`
    `void` | `setUseContainerFormParams(boolean useContainerFormParams)`
    `void` | `setWiderRequestMatching(boolean widerRequestMatching)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### widerRequestMatching

          protected boolean widerRequestMatching

    - #### useContainerFormParams

          protected boolean useContainerFormParams

    - #### deploymentSensitiveFactoryEnabled

          protected boolean deploymentSensitiveFactoryEnabled

    - #### asyncJobServiceEnabled

          protected boolean asyncJobServiceEnabled

    - #### asyncJobServiceMaxJobResults

          protected int asyncJobServiceMaxJobResults

    - #### asyncJobServiceMaxWait

          protected long asyncJobServiceMaxWait

    - #### asyncJobServiceThreadPoolSize

          protected int asyncJobServiceThreadPoolSize

    - #### asyncJobServiceBasePath

          protected String asyncJobServiceBasePath

    - #### applicationClass

          protected String applicationClass

    - #### injectorFactoryClass

          protected String injectorFactoryClass

    - #### application

          protected Application application

    - #### registerBuiltin

          protected boolean registerBuiltin

    - #### scannedResourceClasses

          protected List<String> scannedResourceClasses

    - #### scannedProviderClasses

          protected List<String> scannedProviderClasses

    - #### scannedJndiComponentResources

          protected List<String> scannedJndiComponentResources

    - #### jndiComponentResources

          protected List<String> jndiComponentResources

    - #### providerClasses

          protected List<String> providerClasses

    - #### actualProviderClasses

          protected List<Class> actualProviderClasses

    - #### providers

          protected List<Object> providers

    - #### securityEnabled

          protected boolean securityEnabled

    - #### jndiResources

          protected List<String> jndiResources

    - #### resourceClasses

          protected List<String> resourceClasses

    - #### unwrappedExceptions

          protected List<String> unwrappedExceptions

    - #### actualResourceClasses

          protected List<Class> actualResourceClasses

    - #### resourceFactories

          protected List<ResourceFactory> resourceFactories

    - #### resources

          protected List<Object> resources

    - #### mediaTypeMappings

          protected Map<String,String> mediaTypeMappings

    - #### languageExtensions

          protected Map<String,String> languageExtensions

    - #### interceptorPrecedences

          protected List<String> interceptorPrecedences

    - #### interceptorBeforePrecedences

          protected Map<String,String> interceptorBeforePrecedences

    - #### interceptorAfterPrecedences

          protected Map<String,String> interceptorAfterPrecedences

    - #### defaultContextObjects

          protected Map<Class,Object> defaultContextObjects

    - #### constructedDefaultContextObjects

          protected Map<String,String> constructedDefaultContextObjects

    - #### registry

          protected Registry registry

    - #### dispatcher

          protected Dispatcher dispatcher

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

    - #### threadLocalProviderFactory

          protected ThreadLocalResteasyProviderFactory threadLocalProviderFactory

    - #### paramMapping

          protected String paramMapping

  - ### Constructor Detail

    - #### ResteasyDeployment

          public ResteasyDeployment()

  - ### Method Detail

    - #### start

          public void start()

    - #### createApplication

          public static Application createApplication(String applicationClass,
                                      Dispatcher dispatcher,
                                      ResteasyProviderFactory providerFactory)

    - #### createFromInjectorFactory

          public static Object createFromInjectorFactory(String classname,
                                         ResteasyProviderFactory providerFactory)

    - #### registration

          public void registration()

    - #### registerJndiComponentResource

          protected void registerJndiComponentResource(String resource)

    - #### stop

          public void stop()

    - #### processApplication

          protected boolean processApplication(Application config)

      Parameters:
        `config` -
      Returns:
        whether application class registered anything. i.e. whether scanning metadata should be used or not

    - #### registerProvider

          protected void registerProvider(String clazz)

    - #### isUseContainerFormParams

          public boolean isUseContainerFormParams()

    - #### setUseContainerFormParams

          public void setUseContainerFormParams(boolean useContainerFormParams)

    - #### getJndiComponentResources

          public List<String> getJndiComponentResources()

    - #### setJndiComponentResources

          public void setJndiComponentResources(List<String> jndiComponentResources)

    - #### getApplicationClass

          public String getApplicationClass()

    - #### setApplicationClass

          public void setApplicationClass(String applicationClass)

    - #### getInjectorFactoryClass

          public String getInjectorFactoryClass()

    - #### setInjectorFactoryClass

          public void setInjectorFactoryClass(String injectorFactoryClass)

    - #### isDeploymentSensitiveFactoryEnabled

          public boolean isDeploymentSensitiveFactoryEnabled()

    - #### setDeploymentSensitiveFactoryEnabled

          public void setDeploymentSensitiveFactoryEnabled(boolean deploymentSensitiveFactoryEnabled)

    - #### isAsyncJobServiceEnabled

          public boolean isAsyncJobServiceEnabled()

    - #### setAsyncJobServiceEnabled

          public void setAsyncJobServiceEnabled(boolean asyncJobServiceEnabled)

    - #### getAsyncJobServiceMaxJobResults

          public int getAsyncJobServiceMaxJobResults()

    - #### setAsyncJobServiceMaxJobResults

          public void setAsyncJobServiceMaxJobResults(int asyncJobServiceMaxJobResults)

    - #### getAsyncJobServiceMaxWait

          public long getAsyncJobServiceMaxWait()

    - #### setAsyncJobServiceMaxWait

          public void setAsyncJobServiceMaxWait(long asyncJobServiceMaxWait)

    - #### getAsyncJobServiceThreadPoolSize

          public int getAsyncJobServiceThreadPoolSize()

    - #### setAsyncJobServiceThreadPoolSize

          public void setAsyncJobServiceThreadPoolSize(int asyncJobServiceThreadPoolSize)

    - #### getAsyncJobServiceBasePath

          public String getAsyncJobServiceBasePath()

    - #### setAsyncJobServiceBasePath

          public void setAsyncJobServiceBasePath(String asyncJobServiceBasePath)

    - #### getApplication

          public Application getApplication()

    - #### setApplication

          public void setApplication(Application application)

    - #### isRegisterBuiltin

          public boolean isRegisterBuiltin()

    - #### setRegisterBuiltin

          public void setRegisterBuiltin(boolean registerBuiltin)

    - #### getProviderClasses

          public List<String> getProviderClasses()

    - #### setProviderClasses

          public void setProviderClasses(List<String> providerClasses)

    - #### getProviders

          public List<Object> getProviders()

    - #### setProviders

          public void setProviders(List<Object> providers)

    - #### getActualProviderClasses

          public List<Class> getActualProviderClasses()

    - #### setActualProviderClasses

          public void setActualProviderClasses(List<Class> actualProviderClasses)

    - #### getActualResourceClasses

          public List<Class> getActualResourceClasses()

    - #### setActualResourceClasses

          public void setActualResourceClasses(List<Class> actualResourceClasses)

    - #### isSecurityEnabled

          public boolean isSecurityEnabled()

    - #### setSecurityEnabled

          public void setSecurityEnabled(boolean securityEnabled)

    - #### getJndiResources

          public List<String> getJndiResources()

    - #### setJndiResources

          public void setJndiResources(List<String> jndiResources)

    - #### getResourceClasses

          public List<String> getResourceClasses()

    - #### setResourceClasses

          public void setResourceClasses(List<String> resourceClasses)

    - #### getMediaTypeMappings

          public Map<String,String> getMediaTypeMappings()

    - #### setMediaTypeMappings

          public void setMediaTypeMappings(Map<String,String> mediaTypeMappings)

    - #### getResources

          public List<Object> getResources()

    - #### setResources

          public void setResources(List<Object> resources)

    - #### getLanguageExtensions

          public Map<String,String> getLanguageExtensions()

    - #### setLanguageExtensions

          public void setLanguageExtensions(Map<String,String> languageExtensions)

    - #### getInterceptorPrecedences

          public List<String> getInterceptorPrecedences()

    - #### setInterceptorPrecedences

          public void setInterceptorPrecedences(List<String> interceptorPrecedences)

    - #### getInterceptorBeforePrecedences

          public Map<String,String> getInterceptorBeforePrecedences()

    - #### setInterceptorBeforePrecedences

          public void setInterceptorBeforePrecedences(Map<String,String> interceptorBeforePrecedences)

    - #### getInterceptorAfterPrecedences

          public Map<String,String> getInterceptorAfterPrecedences()

    - #### setInterceptorAfterPrecedences

          public void setInterceptorAfterPrecedences(Map<String,String> interceptorAfterPrecedences)

    - #### getRegistry

          public Registry getRegistry()

    - #### setRegistry

          public void setRegistry(Registry registry)

    - #### getDispatcher

          public Dispatcher getDispatcher()

    - #### setDispatcher

          public void setDispatcher(Dispatcher dispatcher)

    - #### getProviderFactory

          public ResteasyProviderFactory getProviderFactory()

    - #### setProviderFactory

          public void setProviderFactory(ResteasyProviderFactory providerFactory)

    - #### setMediaTypeParamMapping

          public void setMediaTypeParamMapping(String paramMapping)

    - #### getResourceFactories

          public List<ResourceFactory> getResourceFactories()

    - #### setResourceFactories

          public void setResourceFactories(List<ResourceFactory> resourceFactories)

    - #### getUnwrappedExceptions

          public List<String> getUnwrappedExceptions()

    - #### setUnwrappedExceptions

          public void setUnwrappedExceptions(List<String> unwrappedExceptions)

    - #### getConstructedDefaultContextObjects

          public Map<String,String> getConstructedDefaultContextObjects()

    - #### setConstructedDefaultContextObjects

          public void setConstructedDefaultContextObjects(Map<String,String> constructedDefaultContextObjects)

    - #### getDefaultContextObjects

          public Map<Class,Object> getDefaultContextObjects()

    - #### setDefaultContextObjects

          public void setDefaultContextObjects(Map<Class,Object> defaultContextObjects)

    - #### getScannedResourceClasses

          public List<String> getScannedResourceClasses()

    - #### setScannedResourceClasses

          public void setScannedResourceClasses(List<String> scannedResourceClasses)

    - #### getScannedProviderClasses

          public List<String> getScannedProviderClasses()

    - #### setScannedProviderClasses

          public void setScannedProviderClasses(List<String> scannedProviderClasses)

    - #### getScannedJndiComponentResources

          public List<String> getScannedJndiComponentResources()

    - #### setScannedJndiComponentResources

          public void setScannedJndiComponentResources(List<String> scannedJndiComponentResources)

    - #### isWiderRequestMatching

          public boolean isWiderRequestMatching()

    - #### setWiderRequestMatching

          public void setWiderRequestMatching(boolean widerRequestMatching)

Copyright © 2014. All Rights Reserved.